function CMD_CountryMetaData( name, countryCode )
{
    this.m_name        = name;
    this.m_countryCode = countryCode;
}

var CMD_COUNTRY_CODE_CONTROL_ID = '-1';
var CMD_COUNTRY_CODE_NANP       = '1';

var CMD_COUNTRY_CODES =
[
    new CMD_CountryMetaData( "Select Country",              CMD_COUNTRY_CODE_CONTROL_ID ),
    new CMD_CountryMetaData( "----------------",            CMD_COUNTRY_CODE_CONTROL_ID ),
    new CMD_CountryMetaData( "United States",               CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Canada",                      CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "----------------",            CMD_COUNTRY_CODE_CONTROL_ID ),
    new CMD_CountryMetaData( "Afghanistan",                 '93'  ),
    new CMD_CountryMetaData( "Albania",                     '355' ),
    new CMD_CountryMetaData( "Algeria",                     '213' ),
    new CMD_CountryMetaData( "American Samoa",              '684' ),
    new CMD_CountryMetaData( "Andorra",                     '376' ),
    new CMD_CountryMetaData( "Angola",                      '244' ),
    new CMD_CountryMetaData( "Anguilla, Island",            CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Antigua, Island",             CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Argentina",                   '54'  ),
    new CMD_CountryMetaData( "Armenia",                     '374' ),
    new CMD_CountryMetaData( "Aruba",                       '297' ),
    new CMD_CountryMetaData( "Ascension",                   '247' ),
    new CMD_CountryMetaData( "Australia",                   '61'  ),
    new CMD_CountryMetaData( "Australian Ext. Territories", '672' ),
    new CMD_CountryMetaData( "Austria",                     '43'  ),
    new CMD_CountryMetaData( "Azerbaijani Republic",        '994' ),
    new CMD_CountryMetaData( "Bahamas",                     CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Bahrain",                     '973' ),
    new CMD_CountryMetaData( "Bangladesh",                  '880' ),
    new CMD_CountryMetaData( "Barbados",                    CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Belarus",                     '375' ),
    new CMD_CountryMetaData( "Belgium",                     '32'  ),
    new CMD_CountryMetaData( "Belize",                      '501' ),
    new CMD_CountryMetaData( "Benin",                       '229' ),
    new CMD_CountryMetaData( "Bermuda",                     CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Bhutan",                      '975' ),
    new CMD_CountryMetaData( "Bolivia",                     '591' ),
    new CMD_CountryMetaData( "Bosnia",                      '387' ),
    new CMD_CountryMetaData( "Botswana",                    '267' ),
    new CMD_CountryMetaData( "Brazil",                      '55'  ),
    new CMD_CountryMetaData( "British Virgin Islands",      CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Brunei Darussalam",           '673' ),
    new CMD_CountryMetaData( "Bulgaria",                    '359' ),
    new CMD_CountryMetaData( "Burkina Faso",                '226' ),
    new CMD_CountryMetaData( "Burundi",                     '257' ),
    new CMD_CountryMetaData( "Cambodia",                    '855' ),
    new CMD_CountryMetaData( "Cameroon",                    '237' ),
    new CMD_CountryMetaData( "Canada",                      CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Cape Verde",                  '238' ),
    new CMD_CountryMetaData( "Cayman Islands",              CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Central African Republic",    '236' ),
    new CMD_CountryMetaData( "Chad",                        '235' ),
    new CMD_CountryMetaData( "Chile",                       '56'  ),
    new CMD_CountryMetaData( "China",                       '86'  ),
    new CMD_CountryMetaData( "CNMI (N. Marianas),Island",   CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Colombia",                    '57'  ),
    new CMD_CountryMetaData( "Comoros & Mayotte",           '269' ),
    new CMD_CountryMetaData( "Congo",                       '242' ),
    new CMD_CountryMetaData( "Cook Islands",                '682' ),
    new CMD_CountryMetaData( "Costa Rica",                  '506' ),
    new CMD_CountryMetaData( "Cote' D'ivoire",              '225' ),
    new CMD_CountryMetaData( "Croatia",                     '385' ),
    new CMD_CountryMetaData( "Cuba",                        '53'  ),
    new CMD_CountryMetaData( "Cyprus",                      '357' ),
    new CMD_CountryMetaData( "Czech Republic",              '420' ),
    new CMD_CountryMetaData( "Denmark",                     '45'  ),
    new CMD_CountryMetaData( "Diego Garcia",                '246' ),
    new CMD_CountryMetaData( "Djibouti",                    '253' ),
    new CMD_CountryMetaData( "Dominica, Island",            CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Dominican, Island",           CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Ecuador",                     '593' ),
    new CMD_CountryMetaData( "Egypt",                       '20'  ),
    new CMD_CountryMetaData( "El Salvador",                 '503' ),
    new CMD_CountryMetaData( "Equatorial Guinea",           '240' ),
    new CMD_CountryMetaData( "Eritrea",                     '291' ),
    new CMD_CountryMetaData( "Estonia",                     '372' ),
    new CMD_CountryMetaData( "Ethiopia",                    '251' ),
    new CMD_CountryMetaData( "Falkland Islands",            '500' ),
    new CMD_CountryMetaData( "Faroe Islands",               '298' ),
    new CMD_CountryMetaData( "Fiji",                        '679' ),
    new CMD_CountryMetaData( "Finland",                     '358' ),
    new CMD_CountryMetaData( "France",                      '33'  ),
    new CMD_CountryMetaData( "French Guiana",               '594' ),
    new CMD_CountryMetaData( "French Polynesia",            '689' ),
    new CMD_CountryMetaData( "Gabonese Republic",           '241' ),
    new CMD_CountryMetaData( "Gambia",                      '220' ),
    new CMD_CountryMetaData( "Georgia",                     '995' ),
    new CMD_CountryMetaData( "Germany",                     '49'  ),
    new CMD_CountryMetaData( "Ghana",                       '233' ),
    new CMD_CountryMetaData( "Gibraltar",                   '350' ),
    new CMD_CountryMetaData( "Greece",                      '30'  ),
    new CMD_CountryMetaData( "Greenland",                   '299' ),
    new CMD_CountryMetaData( "Grenada",                     CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Guadeloupe",                  '590' ),
    new CMD_CountryMetaData( "Guam",                        CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Guatemala",                   '502' ),
    new CMD_CountryMetaData( "Guinea",                      '224' ),
    new CMD_CountryMetaData( "Guinea-Bissau",               '245' ),
    new CMD_CountryMetaData( "Guyana",                      '592' ),
    new CMD_CountryMetaData( "Haiti",                       '509' ),
    new CMD_CountryMetaData( "Honduras",                    '504' ),
    new CMD_CountryMetaData( "Hong Kong",                   '852' ),
    new CMD_CountryMetaData( "Hungary",                     '36'  ),
    new CMD_CountryMetaData( "Iceland",                     '354' ),
    new CMD_CountryMetaData( "India",                       '91'  ),
    new CMD_CountryMetaData( "Indonesia",                   '62'  ),
    new CMD_CountryMetaData( "Iran",                        '98'  ),
    new CMD_CountryMetaData( "Iraq",                        '964' ),
    new CMD_CountryMetaData( "Ireland",                     '353' ),
    new CMD_CountryMetaData( "Israel",                      '972' ),
    new CMD_CountryMetaData( "Italy",                       '39'  ),
    new CMD_CountryMetaData( "Jamaica",                     CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Japan",                       '81'  ),
    new CMD_CountryMetaData( "Jordan",                      '962' ),
    new CMD_CountryMetaData( "Kenya",                       '254' ),
    new CMD_CountryMetaData( "Kiribati",                    '686' ),
    new CMD_CountryMetaData( "Korea",                       '82'  ),
    new CMD_CountryMetaData( "Kuwait",                      '965' ),
    new CMD_CountryMetaData( "Kyrgyz Republic",             '996' ),
    new CMD_CountryMetaData( "Laos",                        '856' ),
    new CMD_CountryMetaData( "Latvia",                      '371' ),
    new CMD_CountryMetaData( "Lebanon",                     '961' ),
    new CMD_CountryMetaData( "Lesotho",                     '266' ),
    new CMD_CountryMetaData( "Liberia",                     '231' ),
    new CMD_CountryMetaData( "Libya",                       '218' ),
    new CMD_CountryMetaData( "Liechtenstein",               '423' ),
    new CMD_CountryMetaData( "Lithuania",                   '370' ),
    new CMD_CountryMetaData( "Luxembourg",                  '352' ),
    new CMD_CountryMetaData( "Macau",                       '853' ),
    new CMD_CountryMetaData( "Macedonia",                   '389' ),
    new CMD_CountryMetaData( "Madagascar",                  '261' ),
    new CMD_CountryMetaData( "Malawi",                      '265' ),
    new CMD_CountryMetaData( "Malaysia",                    '60'  ),
    new CMD_CountryMetaData( "Maldives",                    '960' ),
    new CMD_CountryMetaData( "Mali",                        '223' ),
    new CMD_CountryMetaData( "Malta",                       '356' ),
    new CMD_CountryMetaData( "Marshall Islands",            '692' ),
    new CMD_CountryMetaData( "Martinique",                  '596' ),
    new CMD_CountryMetaData( "Mauritania",                  '222' ),
    new CMD_CountryMetaData( "Mauritius",                   '230' ),
    new CMD_CountryMetaData( "Mexico",                      '52'  ),
    new CMD_CountryMetaData( "Micronesia",                  '691' ),
    new CMD_CountryMetaData( "Moldova",                     '373' ),
    new CMD_CountryMetaData( "Monaco",                      '377' ),
    new CMD_CountryMetaData( "Mongolia",                    '976' ),
    new CMD_CountryMetaData( "Montserrat, Island",          CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Morocco",                     '212' ),
    new CMD_CountryMetaData( "Mozambique",                  '258' ),
    new CMD_CountryMetaData( "Myanmar",                     '95'  ),
    new CMD_CountryMetaData( "Namibia",                     '264' ),
    new CMD_CountryMetaData( "Nauru",                       '674' ),
    new CMD_CountryMetaData( "Nepal",                       '977' ),
    new CMD_CountryMetaData( "Netherlands",                 '31'  ),
    new CMD_CountryMetaData( "Netherlands Antilles",        '599' ),
    new CMD_CountryMetaData( "New Caledonia",               '687' ),
    new CMD_CountryMetaData( "New Zealand",                 '64'  ),
    new CMD_CountryMetaData( "Nicaragua",                   '505' ),
    new CMD_CountryMetaData( "Niger",                       '227' ),
    new CMD_CountryMetaData( "Nigeria",                     '234' ),
    new CMD_CountryMetaData( "Niue",                        '683' ),
    new CMD_CountryMetaData( "North Korea",                 '850' ),
    new CMD_CountryMetaData( "Norway",                      '47'  ),
    new CMD_CountryMetaData( "Oman",                        '968' ),
    new CMD_CountryMetaData( "Pakistan",                    '92'  ),
    new CMD_CountryMetaData( "Palau",                       '680' ),
    new CMD_CountryMetaData( "Panama",                      '507' ),
    new CMD_CountryMetaData( "Papua New Guinea",            '675' ),
    new CMD_CountryMetaData( "Paraguay",                    '595' ),
    new CMD_CountryMetaData( "Peru",                        '51'  ),
    new CMD_CountryMetaData( "Philippines",                 '63'  ),
    new CMD_CountryMetaData( "Poland",                      '48'  ),
    new CMD_CountryMetaData( "Portugal",                    '351' ),
    new CMD_CountryMetaData( "Puerto Rico",                 CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Qatar",                       '974' ),
    new CMD_CountryMetaData( "Reunion",                     '262' ),
    new CMD_CountryMetaData( "Romania",                     '40'  ),
    new CMD_CountryMetaData( "Russia/Kazakhstan",           '7'   ),
    new CMD_CountryMetaData( "Rwandese Republic",           '250' ),
    new CMD_CountryMetaData( "Saint Helena",                '290' ),
    new CMD_CountryMetaData( "St. Kitts & Nevis, Island",   CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "St. Lucia",                   CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Saint Pierre and Miquelon",   '508' ),
    new CMD_CountryMetaData( "St. Vincent, Island",         CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Samoa",                       '685' ),
    new CMD_CountryMetaData( "San Marino",                  '378' ),
    new CMD_CountryMetaData( "Sao Tome and Principe",       '239' ),
    new CMD_CountryMetaData( "Saudi Arabia",                '966' ),
    new CMD_CountryMetaData( "Senegal",                     '221' ),
    new CMD_CountryMetaData( "Seychelles",                  '248' ),
    new CMD_CountryMetaData( "Sierra Leone",                '232' ),
    new CMD_CountryMetaData( "Singapore",                   '65'  ),
    new CMD_CountryMetaData( "Slovak Republic",             '421' ),
    new CMD_CountryMetaData( "Slovenia",                    '386' ),
    new CMD_CountryMetaData( "Solomon Islands",             '677' ),
    new CMD_CountryMetaData( "Somalia",                     '252' ),
    new CMD_CountryMetaData( "South Africa",                '27'  ),
    new CMD_CountryMetaData( "Spain",                       '34'  ),
    new CMD_CountryMetaData( "Sri Lanka",                   '94'  ),
    new CMD_CountryMetaData( "Sudan",                       '249' ),
    new CMD_CountryMetaData( "Suriname",                    '597' ),
    new CMD_CountryMetaData( "Swaziland",                   '268' ),
    new CMD_CountryMetaData( "Sweden",                      '46'  ),
    new CMD_CountryMetaData( "Switzerland",                 '41'  ),
    new CMD_CountryMetaData( "Syria",                       '963' ),
    new CMD_CountryMetaData( "Taiwan",                      '886' ),
    new CMD_CountryMetaData( "Tajikistan",                  '992' ),
    new CMD_CountryMetaData( "Tanzania",                    '255' ),
    new CMD_CountryMetaData( "Thailand",                    '66'  ),
    new CMD_CountryMetaData( "Timor-Leste",                 '670' ),
    new CMD_CountryMetaData( "Togolese Republic",           '228' ),
    new CMD_CountryMetaData( "Tokelau",                     '690' ),
    new CMD_CountryMetaData( "Tonga",                       '676' ),
    new CMD_CountryMetaData( "Trinidad & Tobago, Island",   CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Tunisia",                     '216' ),
    new CMD_CountryMetaData( "Turkey",                      '90'  ),
    new CMD_CountryMetaData( "Turkmenistan",                '993' ),
    new CMD_CountryMetaData( "Turks & Caicos, Island",      CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Tuvalu",                      '688' ),
    new CMD_CountryMetaData( "Uganda",                      '256' ),
    new CMD_CountryMetaData( "Ukraine",                     '380' ),
    new CMD_CountryMetaData( "United Arab Emirates",        '971' ),
    new CMD_CountryMetaData( "United Kingdom",              '44'  ),
    new CMD_CountryMetaData( "United States",               CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "US Virgin Islands",           CMD_COUNTRY_CODE_NANP ),
    new CMD_CountryMetaData( "Uruguay",                     '598' ),
    new CMD_CountryMetaData( "Uzbekistan",                  '998' ),
    new CMD_CountryMetaData( "Vanuatu",                     '678' ),
    new CMD_CountryMetaData( "Vatican City State",          '379' ),
    new CMD_CountryMetaData( "Venezuela",                   '58'  ),
    new CMD_CountryMetaData( "Vietnam",                     '84'  ),
    new CMD_CountryMetaData( "Wallis and Futuna",           '681' ),
    new CMD_CountryMetaData( "Yemen",                       '967' ),
    new CMD_CountryMetaData( "Yugoslavia",                  '381' ),
    new CMD_CountryMetaData( "Zaire",                       '243' ),
    new CMD_CountryMetaData( "Zambia",                      '260' ),
    new CMD_CountryMetaData( "Zimbabwe",                    '263' )
];
